Bug 708888 - I do not think XMLRPC TestPlan.get_tags returns correct information.
I do not think XMLRPC TestPlan.get_tags returns correct information.
Status: CLOSED DEFERRED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yuguang Wang
tools-bugs
: TestOnly
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-29 23:30 EDT by Kenichi Takemura
Modified: 2014-08-04 18:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-26 01:33:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kenichi Takemura 2011-05-29 23:30:08 EDT
Description of problem:

XMLRPC TestPlan.get_tags returns following information

The number of tags in 3984=5
{id=506, name=i18n}
{id=507, name=l10n}
{id=521, name=Indic}
{id=522, name=All languages}
{id=715, name=rendering}

While actual tag number is 8

https://tcms.engineering.redhat.com/plan/3984/

Tags:
i18n  -   l10n  -   Indic  -   install  -   installation  -   install-i18n  -   Rendering  -   Input  -   Printing  -  

XMLRPC TestPlan.get_tags returns following information

The number of tags in 3937=0

While actual tag number is 

https://tcms.engineering.redhat.com/plan/3937/

Tags:
[CLI]  -   [GUI]  -   [FirstBoot]  -  


Version-Release number of selected component (if applicable):
3.4

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Yuguang Wang 2011-06-07 06:41:51 EDT
hi Ken,

I could only see 5 tags from this plan:
https://tcms.engineering.redhat.com/plan/3984/#tag

How come 8 ?
Comment 2 Kenichi Takemura 2011-06-09 21:50:51 EDT
Sorry I modified test plan 3984.

Can you check https://tcms.engineering.redhat.com/plan/3937/#tag

I see two tags for the test cases

Tags:
Rendering  -   Translation  -  

But XMLRPC returns 0 tag.

Jun 10, 2011 11:48:04 AM org.apache.commons.httpclient.auth.AuthChallengeProcessor selectAuthScheme
INFO: basic authentication scheme selected
The number of tags in 3937=0

Also UI's Tags tab shows Tags(0).
Comment 3 Yuguang Wang 2011-06-12 23:27:44 EDT
hi Ken,

We got test plan tags and test case tags.
The UI's Tags means tags inside the test plan, 0;

For https://tcms.engineering.redhat.com/plan/3937/#testcases,
What you see if test case tags.
Comment 4 Yuguang Wang 2011-06-12 23:28:33 EDT
s/if/is
Comment 5 Danqing Li 2011-12-26 01:33:35 EST
Deferred to 4.0

Note You need to log in before you can comment on or make changes to this bug.